sbcl-0.9.18 added
Sun Oct 29 23:19:47 PST 2006 Matthew Kennedy <mkennedy@common-lisp.net>
* sbcl-0.9.18 added
diff -rN -u old-portage-overlay/dev-lisp/cl-acclaim/cl-acclaim-0.25-r1.ebuild new-portage-overlay/dev-lisp/cl-acclaim/cl-acclaim-0.25-r1.ebuild
--- old-portage-overlay/dev-lisp/cl-acclaim/cl-acclaim-0.25-r1.ebuild 2014-07-31 16:44:23.000000000 -0700
+++ new-portage-overlay/dev-lisp/cl-acclaim/cl-acclaim-0.25-r1.ebuild 2014-07-31 16:44:23.000000000 -0700
@@ -11,7 +11,7 @@
SRC_URI="http://androgyn.bl0rg.net/~mgr/resources/acclaim/acclaim-all-you-need_${MY_PV}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~sparc ~x86"
+KEYWORDS="~amd64 ~sparc ~x86 ~ppc"
IUSE=""
DEPEND="dev-lisp/cl-clx"
diff -rN -u old-portage-overlay/dev-lisp/sbcl/files/0.9.18/README.Gentoo new-portage-overlay/dev-lisp/sbcl/files/0.9.18/README.Gentoo
--- old-portage-overlay/dev-lisp/sbcl/files/0.9.18/README.Gentoo 1969-12-31 16:00:00.000000000 -0800
+++ new-portage-overlay/dev-lisp/sbcl/files/0.9.18/README.Gentoo 2014-07-31 16:44:23.000000000 -0700
@@ -0,0 +1,28 @@
+$Id: README.Gentoo,v 1.1 2006/09/30 04:56:25 mkennedy Exp $
+
+Gentoo GNU/Linux specific notes for SBCL
+----------------------------------------
+
+This is the README.Gentoo file from /usr/share/doc/@PF@/ directory.
+
+ * The Gentoo port uses patches from the Debian project's SBCL port.
+
+ * An SBCL with support for multi-threading on GNU/Linux for the x86 and amd64
+ platforms is available with 'USE="threads" emerge dev-lisp/sbcl'. Note, an
+ NPTL-enabled GLIBC is a requirement beginning with SBCL 0.9.5.
+
+ * asdf-install is installed as sbcl-asdf-install (the man-page is similarly
+ named).
+
+ * If "nosource" is in your USE flags, then SBCL's source will not be installed
+ (in /usr/lib/sbcl/src).
+
+ * If "unicode" is in your USE flags, then support for SBCL
+ Unicode will be included.
+
+ * If "ldb" is in your USE flags, then support for the SBCL low-level debugger
+ will be included.
+
+If you encounter any problems or have suggestions, use http://bugs.gentoo.org.
+Please don't bother the upstream authors unless you are absolutely certain it is
+not Gentoo-related.
diff -rN -u old-portage-overlay/dev-lisp/sbcl/files/0.9.18/customize-target-features.lisp-prefix new-portage-overlay/dev-lisp/sbcl/files/0.9.18/customize-target-features.lisp-prefix
--- old-portage-overlay/dev-lisp/sbcl/files/0.9.18/customize-target-features.lisp-prefix 1969-12-31 16:00:00.000000000 -0800
+++ new-portage-overlay/dev-lisp/sbcl/files/0.9.18/customize-target-features.lisp-prefix 2014-07-31 16:44:23.000000000 -0700
@@ -0,0 +1,5 @@
+(lambda (list)
+(flet ((enable (x)
+(pushnew x list))
+(disable (x)
+(setf list (remove x list))))
diff -rN -u old-portage-overlay/dev-lisp/sbcl/files/0.9.18/customize-target-features.lisp-suffix new-portage-overlay/dev-lisp/sbcl/files/0.9.18/customize-target-features.lisp-suffix
--- old-portage-overlay/dev-lisp/sbcl/files/0.9.18/customize-target-features.lisp-suffix 1969-12-31 16:00:00.000000000 -0800
+++ new-portage-overlay/dev-lisp/sbcl/files/0.9.18/customize-target-features.lisp-suffix 2014-07-31 16:44:23.000000000 -0700
@@ -0,0 +1,2 @@
+)
+list)
diff -rN -u old-portage-overlay/dev-lisp/sbcl/files/0.9.18/disable-tests-gentoo.patch new-portage-overlay/dev-lisp/sbcl/files/0.9.18/disable-tests-gentoo.patch
--- old-portage-overlay/dev-lisp/sbcl/files/0.9.18/disable-tests-gentoo.patch 1969-12-31 16:00:00.000000000 -0800
+++ new-portage-overlay/dev-lisp/sbcl/files/0.9.18/disable-tests-gentoo.patch 2014-07-31 16:44:23.000000000 -0700
@@ -0,0 +1,54 @@
+diff -ur sbcl-0.9.14.orig/contrib/sb-bsd-sockets/sb-bsd-sockets.asd sbcl-0.9.17/contrib/sb-bsd-sockets/sb-bsd-sockets.asd
+--- sbcl-0.9.17.orig/contrib/sb-bsd-sockets/sb-bsd-sockets.asd 2006-06-09 09:11:29.000000000 -0500
++++ sbcl-0.9.17/contrib/sb-bsd-sockets/sb-bsd-sockets.asd 2006-07-09 11:42:19.000000000 -0500
+@@ -42,19 +42,3 @@
+
+ (defmethod perform :after ((o load-op) (c (eql (find-system :sb-bsd-sockets))))
+ (provide 'sb-bsd-sockets))
+-
+-#-win32
+-(defmethod perform ((o test-op) (c (eql (find-system :sb-bsd-sockets))))
+- (operate 'load-op 'sb-bsd-sockets-tests)
+- (operate 'test-op 'sb-bsd-sockets-tests))
+-
+-#-win32
+-(defsystem sb-bsd-sockets-tests
+- :depends-on (sb-rt sb-bsd-sockets #-win32 sb-posix)
+- :components ((:file "tests")))
+-
+-#-win32
+-(defmethod perform ((o test-op) (c (eql (find-system :sb-bsd-sockets-tests))))
+- (or (funcall (intern "DO-TESTS" (find-package "SB-RT")))
+- (error "test-op failed")))
+-
+diff -ur sbcl-0.9.17.orig/contrib/sb-posix/sb-posix.asd sbcl-0.9.17/contrib/sb-posix/sb-posix.asd
+--- sbcl-0.9.17.orig/contrib/sb-posix/sb-posix.asd 2006-03-07 06:04:27.000000000 -0600
++++ sbcl-0.9.17/contrib/sb-posix/sb-posix.asd 2006-07-09 11:43:16.000000000 -0500
+@@ -22,27 +22,3 @@
+
+ (defmethod perform :after ((o load-op) (c (eql (find-system :sb-posix))))
+ (provide 'sb-posix))
+-
+-(defmethod perform ((o test-op) (c (eql (find-system :sb-posix))))
+- (operate 'load-op 'sb-posix-tests)
+- (operate 'test-op 'sb-posix-tests))
+-
+-(defmethod perform ((o test-op) (c (eql (find-system :sb-posix-tests))))
+- (funcall (intern "DO-TESTS" (find-package "SB-RT")))
+- (let ((failures (funcall (intern "PENDING-TESTS" "SB-RT")))
+- (ignored-failures (loop for sym being the symbols of :sb-posix-tests
+- if (search ".ERROR" (symbol-name sym))
+- collect sym)))
+- (cond
+- ((null failures)
+- t)
+- ((null (set-difference failures ignored-failures))
+- (warn "~@<some POSIX implementations return incorrect error values for ~
+- failing calls, but there is legitimate variation between ~
+- implementations too. If you think the errno ~
+- from your platform is valid, please contact the sbcl ~
+- developers; otherwise, please submit a bug report to your ~
+- kernel distributor~@:>")
+- t)
+- (t
+- (error "non-errno tests failed!")))))
diff -rN -u old-portage-overlay/dev-lisp/sbcl/files/0.9.18/sbclrc new-portage-overlay/dev-lisp/sbcl/files/0.9.18/sbclrc
--- old-portage-overlay/dev-lisp/sbcl/files/0.9.18/sbclrc 1969-12-31 16:00:00.000000000 -0800
+++ new-portage-overlay/dev-lisp/sbcl/files/0.9.18/sbclrc 2014-07-31 16:44:23.000000000 -0700
@@ -0,0 +1,7 @@
+
+;;; The following is required if you want source location functions to
+;;; work in SLIME, for example.
+
+(setf (logical-pathname-translations "SYS")
+ '(("SYS:SRC;**;*.*.*" #p"/usr/lib/sbcl/src/**/*.*")
+ ("SYS:CONTRIB;**;*.*.*" #p"/usr/lib/sbcl/**/*.*")))
diff -rN -u old-portage-overlay/dev-lisp/sbcl/files/0.9.18/vanilla-module-install-source-gentoo.patch new-portage-overlay/dev-lisp/sbcl/files/0.9.18/vanilla-module-install-source-gentoo.patch
--- old-portage-overlay/dev-lisp/sbcl/files/0.9.18/vanilla-module-install-source-gentoo.patch 1969-12-31 16:00:00.000000000 -0800
+++ new-portage-overlay/dev-lisp/sbcl/files/0.9.18/vanilla-module-install-source-gentoo.patch 2014-07-31 16:44:23.000000000 -0700
@@ -0,0 +1,10 @@
+diff -ur sbcl-0.9.17.orig/contrib/vanilla-module.mk sbcl-0.9.17/contrib/vanilla-module.mk
+--- sbcl-0.9.17.orig/contrib/vanilla-module.mk 2006-09-08 08:36:47.000000000 -0500
++++ sbcl-0.9.17/contrib/vanilla-module.mk 2006-09-29 21:53:50.000000000 -0500
+@@ -5,4 +5,4 @@
+ test:: $(MODULE).fasl
+
+ install:
+- cp $(MODULE).fasl "$(BUILD_ROOT)$(INSTALL_DIR)"
++ cp $(MODULE).fasl $(MODULE).lisp "$(BUILD_ROOT)$(INSTALL_DIR)"
+Only in sbcl-0.9.17/contrib: vanilla-module.mk.~1.6.~
diff -rN -u old-portage-overlay/dev-lisp/sbcl/sbcl-0.9.18.ebuild new-portage-overlay/dev-lisp/sbcl/sbcl-0.9.18.ebuild
--- old-portage-overlay/dev-lisp/sbcl/sbcl-0.9.18.ebuild 1969-12-31 16:00:00.000000000 -0800
+++ new-portage-overlay/dev-lisp/sbcl/sbcl-0.9.18.ebuild 2014-07-31 16:44:23.000000000 -0700
@@ -0,0 +1,184 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lisp/sbcl/sbcl-0.9.17.ebuild,v 1.1 2006/09/30 04:56:25 mkennedy Exp $
+
+inherit common-lisp-common-3 eutils flag-o-matic
+
+BV_X86=0.9.14
+BV_PPC=0.8.15
+BV_SPARC=0.8.15
+BV_MIPS=0.7.10
+BV_AMD64=0.9.14
+BV_PPC_MACOS=0.9.11a
+
+DESCRIPTION="Steel Bank Common Lisp (SBCL) is an implementation of ANSI Common Lisp."
+HOMEPAGE="http://sbcl.sourceforge.net/"
+SRC_URI="mirror://sourceforge/sbcl/${P}-source.tar.bz2
+ x86? ( mirror://sourceforge/sbcl/${PN}-${BV_X86}-x86-linux-binary.tar.bz2 )
+ ppc? ( mirror://sourceforge/sbcl/${PN}-${BV_PPC}-powerpc-linux-binary.tar.bz2 )
+ sparc? ( mirror://sourceforge/sbcl/${PN}-${BV_SPARC}-sparc-linux-binary.tar.bz2 )
+ mips? ( mirror://sourceforge/sbcl/${PN}-${BV_MIPS}-mips-linux-binary.tar.gz )
+ amd64? ( mirror://sourceforge/sbcl/${PN}-${BV_AMD64}-x86-64-linux-binary.tar.bz2 )
+ ppc-macos? ( mirror://sourceforge/sbcl/${PN}-${BV_PPC_MACOS}-powerpc-darwin-binary.tar.bz2 )"
+
+LICENSE="MIT"
+SLOT="0"
+
+KEYWORDS="~amd64 ~mips ~ppc ~ppc-macos ~sparc ~x86"
+
+IUSE="ldb source threads unicode doc"
+
+DEPEND=">=dev-lisp/cl-asdf-1.84
+ doc? ( sys-apps/texinfo )"
+
+PROVIDE="virtual/commonlisp"
+
+MY_WORK=${WORKDIR}/files
+
+sbcl_einfo() {
+ local method
+ case $# in
+ 0) method=einfo;;
+ 1) method=$1;;
+ *) die "Invalid number of arguments to scbl_einfo"
+ esac
+ $method ""; while read line; do $method "${line}"; done; $method ""
+}
+
+pkg_setup() {
+ if built_with_use sys-devel/gcc hardened && gcc-config -c |grep -qv vanilla; then
+ sbcl_einfo eerror <<'EOF'
+So-called "hardened" compiler features are incompatible with SBCL. You
+must use gcc-config to select a profile with non-hardened features
+(the "vanilla" profile) and "source /etc/profile" before continuing.
+EOF
+ die
+ fi
+ if ! built_with_use sys-libs/glibc nptl && (use x86 || use amd64); then
+ sbcl_einfo eerror <<'EOF'
+Building SBCL without NPTL support on at least x86 and amd64
+architectures is not a supported configuration in Gentoo. Please
+refer to Bug #119016 for more information.
+EOF
+ die
+ fi
+ if (use ppc-macos || use ppc) && use ldb; then
+ sbcl_einfo ewarn <<'EOF'
+Building SBCL on PPC with LDB support is not a supported configuration
+in Gentoo. Please refer to Bug #121830 for more information.
+Continuing with LDB support disabled.
+EOF
+ fi
+}
+
+src_unpack() {
+ local a
+
+ mkdir -p ${MY_WORK}
+ cp ${FILESDIR}/${PV}/* ${MY_WORK}
+ sed -i "s,/usr/lib,/usr/$(get_libdir),g" ${MY_WORK}/*
+
+ # `use ppc` returns true for both ppc linux and ppc-macos systems
+ # specify
+ if use ppc-macos ; then
+ a="${PN}-${BV_PPC_MACOS}-powerpc-darwin-binary.tar.bz2"
+ elif use ppc; then
+ a="${PN}-${BV_PPC}-powerpc-linux-binary.tar.bz2"
+ else
+ for a in ${A}; do [[ $a == *binary* ]] && break; done
+ fi
+
+ unpack $a
+ mv ${PN}* sbcl-binary || die
+
+ unpack ${P}-source.tar.bz2
+ pushd ${S}
+ epatch ${MY_WORK}/disable-tests-gentoo.patch || die
+ epatch ${MY_WORK}/vanilla-module-install-source-gentoo.patch || die
+ popd
+ sed -i "s,/lib,/$(get_libdir),g" ${S}/install.sh
+ sed -i "s,/usr/local/lib,/usr/$(get_libdir),g" \
+ ${S}/src/runtime/runtime.c # #define SBCL_HOME ...
+
+ cp ${MY_WORK}/customize-target-features.lisp-prefix \
+ ${S}/customize-target-features.lisp
+ if use x86 || use amd64; then
+ use threads && echo '(enable :sb-thread)' \
+ >>${S}/customize-target-features.lisp
+ fi
+ if (use ppc-macos || use ppc) && use ldb; then
+ sbcl_einfo ewarn <<'EOF'
+Excluding LDB support for ppc-macos or ppc.
+EOF
+ else
+ use ldb \
+ && echo '(enable :sb-ldb)' \
+ >>${S}/customize-target-features.lisp
+ fi
+ echo '(disable :sb-test)' >>${S}/customize-target-features.lisp
+ ! use unicode \
+ && echo '(disable :sb-unicode)' \
+ >>${S}/customize-target-features.lisp
+ cat ${MY_WORK}/customize-target-features.lisp-suffix \
+ >>${S}/customize-target-features.lisp
+
+ find ${S} -type f -name .cvsignore -print0 | xargs -0 rm -f
+ find ${S} -depth -type d -name CVS -print0 | xargs -0 rm -rf
+ find ${S} -type f -name \*.c -print0 | xargs -0 chmod 644
+}
+
+src_compile() {
+ local bindir="${WORKDIR}/sbcl-binary"
+
+ filter-ldflags -Wl,--as-needed --as-needed # see Bug #132992
+
+ LANG=C PATH=${bindir}/src/runtime:${PATH} SBCL_HOME=${bindir}/output GNUMAKE=make \
+ ./make.sh 'sbcl
+ --sysinit /dev/null
+ --userinit /dev/null
+ --disable-debugger
+ --core ${bindir}/output/sbcl.core' \
+ || die
+ if use doc; then
+ cd ${S}/doc/manual
+ LANG=C make info html || die
+ fi
+}
+
+src_install() {
+ unset SBCL_HOME
+
+ insinto /etc/
+ doins ${MY_WORK}/sbclrc || die
+ dosed "s,/usr/lib/,/usr/$(get_libdir)/,g" /etc/sbclrc
+
+ dodir /usr/share/man
+ dodir /usr/share/doc/${PF}
+ INSTALL_ROOT=${D}/usr DOC_DIR=${D}/usr/share/doc/${PF} sh install.sh || die
+
+ doman doc/sbcl-asdf-install.1
+
+ dodoc BUGS COPYING CREDITS INSTALL NEWS OPTIMIZATIONS PRINCIPLES README STYLE SUPPORT TLA TODO
+ dodoc ${MY_WORK}/README.Gentoo
+
+ if use doc; then
+ dohtml doc/html/*
+ doinfo ${S}/doc/manual/*.info*
+ fi
+
+ if ! use nosource; then
+ # install the SBCL source
+ cp -pPR ${S}/src ${D}/usr/$(get_libdir)/sbcl
+ find ${D}/usr/$(get_libdir)/sbcl/src -type f -name \*.fasl -print0 | xargs -0 rm -f
+ fi
+
+ impl-save-timestamp-hack sbcl
+}
+
+pkg_postinst() {
+ standard-impl-postinst sbcl
+}
+
+pkg_postrm() {
+ standard-impl-postrm sbcl /usr/bin/sbcl
+}
\ No newline at end of file